# Uses of Class
net.shibboleth.shared.spring.service.impl.SpringServiceableComponent

Packages that use SpringServiceableComponent
Package
Description
net.shibboleth.shared.testing
Classes supporting testing of other classes.

## Uses of SpringServiceableComponent in net.shibboleth.shared.testing

Fields in net.shibboleth.shared.testing declared as SpringServiceableComponent
Modifier and Type
Field
Description
`private final SpringServiceableComponent<T>`
MockReloadableService.`component`
The component we are presenting to provide.